Subject: M3UA v9: ASP Up/Active Procedures

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 16 Oct 2001 03:33:05 -0500

Manfred,

Well, this brings up the point that a change was missed with regard to
ASP Active Procedures and the MTP Restart.  The text in 4.3.4.4 which
states:

	The ASP SHOULD NOT send Data messages for the related Routing
	Context(s) before receiving an ASP Activce Ack message, or it
	will risk message loss.

to

	The ASP SHOULD NOT send DATA or SNMM messages for the related
	Routing Context(s) before receiving an ASP Activce Ack message,
	or it will risk message loss.

This was resolved on the M3UA: MTP restart thread on September 6.

Now, as to the ASP Up procedures:

Angermayr Manfred wrote:                                (Tue, 16 Oct 2001 09:55:08)
>
> Hello Brian,
>
> the MTP restart procedure - I assume you refer to chapter 4.6 - and the ASP
> UP procedure address 2 different cases.  The MTP restart sections describes
> what should be done when the MTP3 in the SG undergoes an MTP Restart. This
> means that the SG has lost all its SS7 links. The connection between the SG
> and the ASP however is still active. Therefore in this case it makes sense,
> to go on with the 'normal' processing of the SS7 states (sending DUNA and
> DAVA) as described in the MTP restart section.  The scenario in the ASP up
> procedure however is different. Up to now the ASP has no connection to the
> SG or the ASP has lost this connection. Therefore it is a good approach to
> initialize the SS7 states, and begin processing the these states at defined
> point.  There are two possibilities of initializing the SS7 states: allowed
> and unavailable.  As normally all SS7 states should be reachable from the
> SG, the initialization to allowed is the better choice, because then in the
> normal case the SG does not need to send any SSNM messages for the
> activation of an ASP.  Therefore I think the text in section 4.3.4.1 should
> not be changed.
> 
> Regards,
> Manfred
> 
> -----Ursprüngliche Nachricht-----
> Von: Brian F. G. Bidulock [mailto:[email-masked]]
> Gesendet: Donnerstag, 11. Oktober 2001 22:38
> An: sigtran
> Betreff: M3UA v9: ASP Up Procedures
> 
> 
> Section 4.3.4.1 says:
> 
>   At the ASP, the ASP Up Ack message received is not acknowledged. Layer 
>   Management is informed with an M-ASP_UP confirm primitive.  When an ASP
>   enters the ASP-Inactive state from the ASP-Down state towards an SGP 
>   the M3UA MUST mark all SS7 destinations configured to be reachable via 
>   this SGP as available.

Destinations are not marked reachable at ASP-Up.  It is the perogative of
an AS to audit destination as it chooses AFTER ASP Active Ack.  Routing
can be separate based on the Routing Context (AS) as has been illustrated
many times now.  One can never determine any routing at ASP Up.

When an AS goes ASP-Active it can audit the routing with DAUD(*).

Therefore, I reiterate, the MUST is absurd as well as wrong and must be
removed.  The last sentence quoted above must be removed.

--brian

> 
> This MUST and the the marking of the SS7 destinations is no longer applicable
> with the revised restart procedures.  Remove the last seentence from this
> paragraph or reword to match the restart procedures.
> 

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to [email-masked]